# Get the list of input sets in an experiment

Get the list of input sets in an experiment

Endpoint: GET /gateway/chaos/manager/api/rest/v2/experiments/{experimentId}/inputsets
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `page` (integer, required)
    page number

  - `limit` (integer, required)
    limit per page

  - `isIdentity` (boolean, required)
    is human-readable experiment identity passed

## Path parameters:

  - `experimentId` (string, required)
    experimentId for whose input sets should be listed

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `data` (array)

  - `data.accountID` (string, required)

  - `data.createdAt` (integer)
    creation timestamp of the input set

  - `data.createdBy` (string)
    user ID of the user who created the input set

  - `data.description` (string)
    Description of the input set

  - `data.experimentID` (string)
    Foreign key to link with experiment

  - `data.id` (string)
    Mongo ID (primary key)

  - `data.identity` (string)
    Human readable ID

  - `data.isRemoved` (boolean)
    TODO: this is not needed, and on delete, input set should be deleted from the DB, makes no sense for storing for audit purpose

  - `data.name` (string)
    Name of the input set

  - `data.orgID` (string)

  - `data.projectID` (string)

  - `data.spec` (string)
    Type of input set
Type string bson:"type"
Foreign key to link with probes
TODO: not sure if required
ProbeID string bson:"probe_id"
For fault level inputs, key = step

  - `data.updatedAt` (integer)
    updation timestamp of the input set

  - `data.updatedBy` (string)
    user ID of the user who updated the input set

  - `data.version` (string)
    Version

  - `pagination` (object)

  - `pagination.index` (integer)

  - `pagination.limit` (integer)

  - `pagination.totalItems` (integer)

  - `pagination.totalPages` (integer)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


